<html>
  <head>
    <meta charset="utf-8"/>
    <script type='text/javascript' src='data/robozzle.bc.js'></script>
    <style>
    .vertical_scroll_menu {
        width : 150px;
        height : 150px;
        margin : auto;
        overflow-y : auto;
    }
    .vertical_scroll_menu a {
        color : black;
        background-color: #eee;
        text-decoration : none;
        padding : 12px;
        display : block;
    }
    .vertical_scroll_menu a:hover {
        background-color: #ccc;
    }
    .vertical_scroll_menu a:active {
        background-color: #333;
        color: white;
    }
    </style>
  </head>
  <body>
    <img id="img_star"        src="data/imgs/star.png" .      style="display: none;" />
    <img id="img_robot_up"    src="data/imgs/robot_up.png"    style="display: none;" />
    <img id="img_robot_left"  src="data/imgs/robot_left.png"  style="display: none;" />
    <img id="img_robot_right" src="data/imgs/robot_right.png" style="display: none;" />
    <img id="img_robot_down"  src="data/imgs/robot_down.png"  style="display: none;" />

    <div id="main_wrapper">

    <div class="vertical_scroll_menu">
        <a href="./index.html?level=level1"> Level 1 </a>
        <a href="./index.html?level=level2"> Level 2 </a>
        <a href="./index.html?level=level3"> Level 3 </a>
    </div>

    <div id="app" style="margin : auto;">
    </div>

    <table id="commands" style="margin : auto;">
    </table>

    <div id="buttons" style="display: flex; justify-content: center;">
    <button type="button" style="margin: 10px;" id="play_pause_button"> Play / Pause </button>
    <button type="button" style="margin: 10px;" id="step_button"> Step </button>
    <button type="button" style="margin: 10px;" id="reset_button"> Reset </button>
    </div>

    <p>
      Click to select the slot you want to edit,
      then press the following keys to change the slot's command :<br>
      <ul>
        <li>R, G, B, Y - change color into red, green, blue or yellow</li>
        <li>up, left, right arrow - set command to moving fwd, left, right</li>
        <li>number keys : call function number 'n'</li>
        <li>backspace : erase current command</li>
      </ul>
    </p>
    </div>
  </body>
</html>
